javax.servlet

## Class HttpMethodConstraintElement

- java.lang.Object
- - javax.servlet.HttpConstraintElement
  - - javax.servlet.HttpMethodConstraintElement

-     public class HttpMethodConstraintElement
      extends HttpConstraintElement

  Java Class represntation of an `HttpMethodConstraint` annotation value.
  Since:
    Servlet 3.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpMethodConstraintElement(String methodName)` Constructs an instance with default `HttpConstraintElement` value.
    `HttpMethodConstraintElement(String methodName, HttpConstraintElement constraint)` Constructs an instance with specified `HttpConstraintElement` value.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getMethodName()` Gets the HTTP method name.

    - ### Methods inherited from class javax.servlet.HttpConstraintElement

      `getEmptyRoleSemantic, getRolesAllowed, getTransportGuarantee`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpMethodConstraintElement

          public HttpMethodConstraintElement(String methodName)

      Constructs an instance with default `HttpConstraintElement` value.
      Parameters:
        `methodName` - the name of an HTTP protocol method. The name must not be null, or the empty string, and must be a legitimate HTTP Method name as defined by RFC 2616

    - #### HttpMethodConstraintElement

          public HttpMethodConstraintElement(String methodName,
                                     HttpConstraintElement constraint)

      Constructs an instance with specified `HttpConstraintElement` value.
      Parameters:
        `methodName` - the name of an HTTP protocol method. The name must not be null, or the empty string, and must be a legitimate HTTP Method name as defined by RFC 2616
        `constraint` - the HTTPconstraintElement value to assign to the named HTTP method

  - ### Method Detail

    - #### getMethodName

          public String getMethodName()

      Gets the HTTP method name.
      Returns:
        the Http method name

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.